#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Library for accessing the usage data collected by the activities system
Name:           plasma-activities-stats
Version: 6.1.4
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Xml)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(PlasmaActivities) >= %version

BuildRequires:  boost-devel

# Renamed from kactivities-stats
Obsoletes:      kactivities-stats < 5.112.0
#Provides:       kactivities-stats = %%{version}-%%{release}

%description
Library for accessing the usage data collected
by the activities system.

%files
%_kf6_categoriesdir/plasma-activities-stats.*categories

#--------------------------------------------------------------------

%define kactivitiesstats_major 1
%define libkactivitiesstats    %mklibname plasmaactivitiesstats %{kactivitiesstats_major}

%package -n %libkactivitiesstats
Summary:        Library for accessing the usage data collected by the activities system
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libkactivitiesstats
Library for accessing the usage data collected
by the activities system.

%files -n %libkactivitiesstats
%_kf6_libdir/libPlasmaActivitiesStats.so.%{kactivitiesstats_major}
%_kf6_libdir/libPlasmaActivitiesStats.so.%{version}

#--------------------------------------------------------------------

%define kactivitiesstats_devel %mklibname plasmaactivitiesstats -d

%package -n %kactivitiesstats_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkactivitiesstats = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kactivitiesstats_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kactivitiesstats_devel
%_includedir/PlasmaActivitiesStats/
%_kf6_libdir/cmake/PlasmaActivitiesStats/
%_kf6_libdir/libPlasmaActivitiesStats.so
%_kf6_libdir/pkgconfig/PlasmaActivitiesStats.pc

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install


%changelog
* Wed Aug 07 2024 daviddavid <daviddavid> 6.1.4-1.mga10
+ Revision: 2083919
- New version 6.1.4

* Tue Jul 02 2024 daviddavid <daviddavid> 6.1.2-1.mga10
+ Revision: 2079126
- New version 6.1.2

* Tue Jun 25 2024 daviddavid <daviddavid> 6.1.1-1.mga10
+ Revision: 2076724
- New version 6.1.1

* Tue Jun 18 2024 neoclust <neoclust> 6.1.0-1.mga10
+ Revision: 2074834
- New version 6.1.0

* Tue Jun 04 2024 neoclust <neoclust> 6.0.90-1.mga10
+ Revision: 2069829
- New version 6.0.90

* Tue Apr 16 2024 daviddavid <daviddavid> 6.0.4-1.mga10
+ Revision: 2057925
- New version 6.0.4

* Wed Mar 27 2024 daviddavid <daviddavid> 6.0.3-1.mga10
+ Revision: 2052491
- New version 6.0.3

* Tue Mar 12 2024 daviddavid <daviddavid> 6.0.2-1.mga10
+ Revision: 2049405
- New version 6.0.2

* Fri Mar 08 2024 daviddavid <daviddavid> 6.0.1-2.mga10
+ Revision: 2048768
- rebuild to remove properly old activities-stats

* Thu Mar 07 2024 daviddavid <daviddavid> 6.0.1-1.mga10
+ Revision: 2048154
- New version 6.0.1

* Wed Feb 28 2024 neoclust <neoclust> 6.0.0-1.mga10
+ Revision: 2045012
- New version 6.0.0

* Fri Feb 02 2024 neoclust <neoclust> 5.93.0-1.mga10
+ Revision: 2036801
- New version 5.93.0

* Wed Jan 10 2024 neoclust <neoclust> 5.92.0-1.mga10
+ Revision: 2029662
- New version 5.92.0

* Sun Jan 07 2024 daviddavid <daviddavid> 5.91.0-3.mga10
+ Revision: 2028735
- do not provides kactivities-stats for now

* Tue Jan 02 2024 daviddavid <daviddavid> 5.91.0-2.mga10
+ Revision: 2026081
- fix library and devel pkg name

* Tue Jan 02 2024 daviddavid <daviddavid> 5.91.0-1.mga10
+ Revision: 2026080
- project was renamed upstream from kactivities-stats to plasma-activities-stats
+ neoclust <neoclust>
- New version 5.91.0
- New version 5.90.0

* Sun Nov 12 2023 neoclust <neoclust> 5.27.80-1.mga10
+ Revision: 2006194
- Kactivities is not part of framework anymore ( 5.27.80 )
- New version 5.245.0

* Thu Oct 19 2023 daviddavid <daviddavid> 5.111.0-1.mga10
+ Revision: 1998939
- New version 5.111.0

* Sat Sep 16 2023 daviddavid <daviddavid> 5.110.0-1.mga10
+ Revision: 1987331
- New version 5.110.0

* Mon Apr 10 2023 neoclust <neoclust> 5.105.0-1.mga9
+ Revision: 1952013
- New version 5.105.0

* Mon Mar 06 2023 neoclust <neoclust> 5.104.0-1.mga9
+ Revision: 1947822
- New version 5.104.0

* Mon Feb 13 2023 neoclust <neoclust> 5.103.0-1.mga9
+ Revision: 1941325
- New version 5.103.0

* Mon Jan 23 2023 neoclust <neoclust> 5.102.0-1.mga9
+ Revision: 1934978
- New version 5.102.0

* Wed Dec 14 2022 daviddavid <daviddavid> 5.101.0-1.mga9
+ Revision: 1922220
- New version 5.101.0

* Sun Nov 27 2022 neoclust <neoclust> 5.100.0-1.mga9
+ Revision: 1911593
- New version 5.100.0

* Sun Oct 30 2022 neoclust <neoclust> 5.99.0-1.mga9
+ Revision: 1900197
- New version 5.99.0

* Tue Sep 13 2022 neoclust <neoclust> 5.98.0-1.mga9
+ Revision: 1887632
- New version 5.98.0

* Fri Aug 26 2022 neoclust <neoclust> 5.97.0-1.mga9
+ Revision: 1880580
- New version 5.97.0

* Tue Jul 26 2022 neoclust <neoclust> 5.96.0-1.mga9
+ Revision: 1871679
- New version 5.96.0

* Mon Apr 25 2022 neoclust <neoclust> 5.93.0-1.mga9
+ Revision: 1853199
- New version 5.93.0

* Sat Apr 09 2022 neoclust <neoclust> 5.92.0-2.mga9
+ Revision: 1848347
- New version 5.92.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Nov 08 2021 neoclust <neoclust> 5.88.0-1.mga9
+ Revision: 1754807
- New version 5.88.0

* Sun Oct 03 2021 neoclust <neoclust> 5.87.0-1.mga9
+ Revision: 1749058
- New version 5.87.0
- New version 5.86.0

* Fri Jul 09 2021 neoclust <neoclust> 5.84.0-1.mga9
+ Revision: 1735240
- New version 5.84.0
- New version 5.83.0

* Sat May 15 2021 daviddavid <daviddavid> 5.82.0-1.mga9
+ Revision: 1723431
- New version 5.82.0

* Mon Apr 12 2021 daviddavid <daviddavid> 5.81.0-1.mga9
+ Revision: 1714827
- New version 5.81.0

* Sat Mar 13 2021 daviddavid <daviddavid> 5.80.0-1.mga9
+ Revision: 1702005
- New version 5.80.0

* Thu Feb 25 2021 neoclust <neoclust> 5.79.0-1.mga9
+ Revision: 1691096
- New version 5.79.0

* Sun Dec 06 2020 daviddavid <daviddavid> 5.76.0-1.mga8
+ Revision: 1653310
- New version 5.76.0

* Sun Oct 11 2020 daviddavid <daviddavid> 5.75.0-1.mga8
+ Revision: 1633164
- New version 5.75.0

* Sun Sep 13 2020 daviddavid <daviddavid> 5.74.0-1.mga8
+ Revision: 1625578
- New version 5.74.0

* Mon Aug 10 2020 daviddavid <daviddavid> 5.73.0-1.mga8
+ Revision: 1612871
- New version 5.73.0

* Wed Jul 08 2020 neoclust <neoclust> 5.72.0-1.mga8
+ Revision: 1603069
- New version 5.72.0

* Fri Jun 12 2020 neoclust <neoclust> 5.71.0-1.mga8
+ Revision: 1592763
- New version 5.71.0

* Sat May 09 2020 daviddavid <daviddavid> 5.70.0-1.mga8
+ Revision: 1581989
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 5.69.0-1.mga8
+ Revision: 1566480
- New version 5.69.0

* Mon Mar 16 2020 daviddavid <daviddavid> 5.68.0-1.mga8
+ Revision: 1556656
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 5.67.0-2.mga8
+ Revision: 1546819
- Mageia 8 Mass Rebuild

* Wed Feb 05 2020 neoclust <neoclust> 5.67.0-1.mga8
+ Revision: 1487201
- New version 5.67.0
+ wally <wally>
- build with new cmake macros

* Fri Dec 13 2019 neoclust <neoclust> 5.65.0-1.mga8
+ Revision: 1466204
- New version 5.65.0

* Mon Nov 04 2019 neoclust <neoclust> 5.64.0-1.mga8
+ Revision: 1457589
- New version 5.64.0

* Fri Oct 11 2019 neoclust <neoclust> 5.63.0-1.mga8
+ Revision: 1451986
- New version 5.63.0

* Tue Sep 24 2019 neoclust <neoclust> 5.62.0-1.mga8
+ Revision: 1445601
- New version 5.62.0

* Tue Jul 16 2019 daviddavid <daviddavid> 5.60.0-3.mga8
+ Revision: 1421875
- conflicts wrong/old lib to ease upgrade

* Fri Jul 12 2019 daviddavid <daviddavid> 5.60.0-2.mga8
+ Revision: 1420646
- fix library pkg name

* Thu Jul 11 2019 neoclust <neoclust> 5.60.0-1.mga8
+ Revision: 1420048
- New version 5.60.0

* Mon Apr 08 2019 neoclust <neoclust> 5.57.0-1.mga7
+ Revision: 1386913
- New version 5.57.0

* Sat Mar 30 2019 umeabot <umeabot> 5.56.0-2.mga7
+ Revision: 1381978
- Qt5 Rebuild

* Tue Mar 12 2019 neoclust <neoclust> 5.56.0-1.mga7
+ Revision: 1374540
- New version 5.56.0

* Sat Feb 09 2019 neoclust <neoclust> 5.55.0-1.mga7
+ Revision: 1364515
- New version 5.55.0

* Mon Jan 14 2019 neoclust <neoclust> 5.54.0-1.mga7
+ Revision: 1356638
- New version 5.54.0

* Tue Dec 18 2018 neoclust <neoclust> 5.53.0-2.mga7
+ Revision: 1342527
- New version 5.53.0

* Tue Oct 09 2018 neoclust <neoclust> 5.51.0-1.mga7
+ Revision: 1318941
- New version 5.51.0
- New version 5.50.0

* Sun Sep 23 2018 umeabot <umeabot> 5.49.0-2.mga7
+ Revision: 1298416
- Mageia 7 Mass Rebuild

* Sat Aug 04 2018 neoclust <neoclust> 5.49.0-1.mga7
+ Revision: 1247291
- New version 5.49.0

* Mon May 14 2018 neoclust <neoclust> 5.46.0-1.mga7
+ Revision: 1229229
- New version 5.46.0

* Thu Jan 11 2018 neoclust <neoclust> 5.42.0-1.mga7
+ Revision: 1192261
- New version 5.42.0

* Tue Dec 12 2017 neoclust <neoclust> 5.41.0-1.mga7
+ Revision: 1182311
- New version 5.41.0

* Thu Sep 28 2017 neoclust <neoclust> 5.38.0-1.mga7
+ Revision: 1161217
- New version 5.38.0

* Tue Aug 15 2017 neoclust <neoclust> 5.37.0-1.mga7
+ Revision: 1140379
- New version 5.37.0

* Sun Jul 16 2017 neoclust <neoclust> 5.36.0-1.mga7
+ Revision: 1123480
- New version 5.36.0

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088943
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074514
- New version 5.29.0

* Mon Dec 05 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072549
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058334
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050511
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045089
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041311
- New version 5.24.0

* Fri Jul 08 2016 neoclust <neoclust> 5.23.0-2.mga6
+ Revision: 1039795
- Obsoletes kf5activitiesexperimentalstats

* Fri Jul 08 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1039761
- imported package kactivities-stats

